瀏覽代碼

updated chromium, v8

git-svn-id: http://trac.vinelinux.org/repos/projects/specs@2076 ec354946-7b23-47d6-9f5a-488ba84defc7
munepi 14 年之前
父節點
當前提交
c80d8d902f
共有 3 個文件被更改,包括 54 次插入9 次删除
  1. 7 3
      c/chromium/chromium-vl.spec
  2. 32 0
      v/v8/v8-snapshot.sh
  3. 15 6
      v/v8/v8-vl.spec

+ 7 - 3
c/chromium/chromium-vl.spec

@@ -8,14 +8,14 @@
 %define with_system_icu 1
 %endif
 
-%define svn_rev 62091
-%define v8_ver 2.4.8
+%define svn_rev 62756
+%define v8_ver 2.4.9
 
 Name:           chromium
 Summary:        Google's opens source browser project
 Summary(ja):    Googleのオープンソースウェブブラウザ
 #'
-Version:        8.0.551.0
+Version:        8.0.556.0
 Release:        1%{?_dist_release}
 License:        BSD
 Group:          Applications/Internet
@@ -147,6 +147,7 @@ BuildRequires:  mesa-libGLU-devel
 BuildRequires:  libevent-devel
 
 ##Vine Linux
+Requires:       v8 = %{v8_ver}
 BuildRequires:  libXScrnSaver-devel
 #BuildRequires:  gle-devel
 #BuildRequires:  webkit-gtk-devel
@@ -420,6 +421,9 @@ popd
 %_libdir/pkgconfig/chromium-browser.pc
 
 %changelog
+* Sat Oct 16 2010 Munehiro Yamamoto <munepi@vinelinux.org> 8.0.556.0-1
+- updated to snapshot 8.0.556
+
 * Sun Oct 10 2010 Munehiro Yamamoto <munepi@vinelinux.org> 8.0.551.0-1
 - updated to snapshot 8.0.551
 

+ 32 - 0
v/v8/v8-snapshot.sh

@@ -0,0 +1,32 @@
+#!/bin/bash
+
+set -e
+
+tmp=$(mktemp -d)
+
+trap cleanup EXIT
+cleanup() {
+    set +e
+    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
+}
+
+unset CDPATH
+pwd=$(pwd)
+
+dirname=v8
+
+cd "$tmp"
+svn checkout http://v8.googlecode.com/svn/trunk/ $dirname
+cd $dirname
+MAJOR_VERSION=$(grep "#define MAJOR_VERSION" src/version.cc | sed -e "s/#define MAJOR_VERSION[[:blank:]]*//" -e "s/[[:blank:]]*$//")
+MINOR_VERSION=$(grep "#define MINOR_VERSION" src/version.cc | sed -e "s/#define MINOR_VERSION[[:blank:]]*//" -e "s/[[:blank:]]*$//")
+BUILD_NUMBER=$(grep "#define BUILD_NUMBER" src/version.cc | sed -e "s/#define BUILD_NUMBER[[:blank:]]*//" -e "s/[[:blank:]]*$//")
+VERSION=${MAJOR_VERSION}.${MINOR_VERSION}.${BUILD_NUMBER}
+REVISION=`LC_ALL=C svn info 2> /dev/null | grep Revision | cut -d' ' -f2`
+find . -type d -name .svn -print0 | xargs -0r rm -rf
+cd ..
+mv $dirname ${dirname}-${VERSION}
+tar jcf "$pwd"/${dirname}-${VERSION}.svn${REVISION}.tar.bz2 ${dirname}-${VERSION}
+cd ${pwd} >/dev/null
+
+exit

+ 15 - 6
v/v8/v8-vl.spec

@@ -4,25 +4,31 @@
 # For 1.3+, we use the three digit versions
 %global somajor 2
 %global sominor 4
-%global sobuild 8
+%global sobuild 9
 %global sover %{somajor}.%{sominor}.%{sobuild}
 
+%define svnrevision 5631
+
 Name:		v8
-Version:	%{somajor}.%{sominor}.%{sobuild}
-Release:	1%{?_dist_release}
+Version:	%{sover}
+Release:	1%{?svnrevision:.svn%svnrevision}%{?_dist_release}
 Summary:	JavaScript Engine
 Summary(ja):	JavaScript エンジン
 Group:		System Environment/Libraries
 License:	BSD
 URL:		http://code.google.com/p/v8
 # U=http://v8.googlecode.com/svn/trunk/
-# R=$(svn log $U |awk '/^r[0-9]* / {r=$1} /2\.4\.4/ {print r; exit}')
+# R=$(svn log $U |awk '/^r[0-9]* / {r=$1} /2\.4\.8/ {print r; exit}')
 # svn export -$R $U v8-2.4.8
 # tar cjf v8-2.4.8.tar.bz2 v8-2.4.8
-Source0:	%{name}-%{version}.tar.bz2
+Source0:	%{name}-%{version}%{?svnrevision:.svn%svnrevision}.tar.bz2
+Source10:	v8-snapshot.sh
+
 BuildRoot:	%{_tmppath}/%{name}-%{version}-root
 ExclusiveArch:	%{ix86} x86_64 arm
-BuildRequires:	scons, readline-devel
+
+BuildRequires:	scons
+BuildRequires:	readline-devel
 
 %description
 V8 is Google's open source JavaScript engine. V8 is written in C++ and is used 
@@ -137,6 +143,9 @@ cd %{buildroot}%{_libdir}
 
 
 %changelog
+* Sat Oct 16 2010 Munehiro Yamamoto <munepi@vinelinux.org> - 2.4.9-1.svn5631
+- source 2.4.9 rev.5631
+
 * Sun Oct 10 2010 Munehiro Yamamoto <munepi@vinelinux.org> - 2.4.8-1
 - initial build